com.fasterxml.jackson.dataformat.avro.apacheimpl

## Class ApacheAvroFactory

- java.lang.Object
- - com.fasterxml.jackson.core.TokenStreamFactory
  - - com.fasterxml.jackson.core.JsonFactory
    - - com.fasterxml.jackson.dataformat.avro.AvroFactory
      - - com.fasterxml.jackson.dataformat.avro.apacheimpl.ApacheAvroFactory

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class ApacheAvroFactory
      extends AvroFactory

  Alternative `AvroFactory` implementation that uses codecs from Apache Avro library instead of Jackson "native" codecs.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonFactory

      `com.fasterxml.jackson.core.JsonFactory.Feature`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.AvroFactory

      `_avroGeneratorFeatures, _avroParserFeatures, _useApacheLibDecoder, FORMAT_NAME_AVRO`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonFactory

      `_byteSymbolCanonicalizer, _characterEscapes, _factoryFeatures, _generatorFeatures, _inputDecorator, _maximumNonEscapedChar, _objectCodec, _outputDecorator, _parserFeatures, _quoteChar, _rootCharSymbols, _rootValueSeparator, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_GENERATOR_FEATURE_FLAGS, DEFAULT_PARSER_FEATURE_FLAGS, DEFAULT_QUOTE_CHAR, DEFAULT_ROOT_VALUE_SEPARATOR, FORMAT_NAME_JSON`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ApacheAvroFactory()`
    `protected` | `ApacheAvroFactory(AvroFactory src, com.fasterxml.jackson.core.ObjectCodec oc)`
    `` | `ApacheAvroFactory(com.fasterxml.jackson.core.ObjectCodec oc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AvroParser` | `_createParser(byte[] data, int offset, int len, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected AvroParser` | `_createParser(InputStream in, com.fasterxml.jackson.core.io.IOContext ctxt)` Overridable factory method that actually instantiates desired parser.
    `AvroFactory` | `copy()`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.AvroFactory

      `_createGenerator, _createGenerator, _createParser, _createParser, _createWriter, _nonByteSource, _nonByteTarget, builder, builderWithApacheDecoder, builderWithNativeDecoder, canHandleBinaryNatively, canUseSchema, configure, configure, createGenerator, createGenerator, createParser, createParser, createParser, createParser, createParser, disable, disable, enable, enable, getFormatGeneratorFeatures, getFormatName, getFormatParserFeatures, hasFormat, isEnabled, isEnabled, readResolve, rebuild, requiresPropertyOrdering, version`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonFactory

      `_checkInvalidCopy, _createContext, _createNonBlockingContext, _createParser, _createUTF8Generator, _decorate, _decorate, _decorate, _decorate, _decorate, _getBufferRecycler, canParseAsync, canUseCharArrays, configure, configure, configure, createGenerator, createGenerator, createGenerator, createGenerator, createJsonGenerator, createJsonGenerator, createJsonGenerator, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createNonBlockingByteArrayParser, createParser, createParser, createParser, createParser, createParser, disable, disable, disable, enable, enable, enable, getCharacterEscapes, getCodec, getFormatReadFeatureType, getFormatWriteFeatureType, getGeneratorFeatures, getInputDecorator, getOutputDecorator, getParserFeatures, getRootValueSeparator, hasJSONFormat, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, requiresCustomCodec, setCharacterEscapes, setCodec, setInputDecorator, setOutputDecorator, setRootValueSeparator`

    - ### Methods inherited from class com.fasterxml.jackson.core.TokenStreamFactory

      `_createDataOutputWrapper, _optimizedStreamFromURL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApacheAvroFactory

          public ApacheAvroFactory()

    - #### ApacheAvroFactory

          public ApacheAvroFactory(com.fasterxml.jackson.core.ObjectCodec oc)

    - #### ApacheAvroFactory

          protected ApacheAvroFactory(AvroFactory src,
                                      com.fasterxml.jackson.core.ObjectCodec oc)

  - ### Method Detail

    - #### copy

          public AvroFactory copy()

      Overrides:
        `copy` in class `AvroFactory`

    - #### _createParser

          protected AvroParser _createParser(InputStream in,
                                             com.fasterxml.jackson.core.io.IOContext ctxt)
                                      throws IOException

      Description copied from class: `AvroFactory`
      Overridable factory method that actually instantiates desired parser.
      Overrides:
        `_createParser` in class `AvroFactory`
      Throws:
        `IOException`

    - #### _createParser

          protected AvroParser _createParser(byte[] data,
                                             int offset,
                                             int len,
                                             com.fasterxml.jackson.core.io.IOContext ctxt)
                                      throws IOException

      Overrides:
        `_createParser` in class `AvroFactory`
      Throws:
        `IOException`

Copyright © 2019 FasterXML. All rights reserved.